Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network244.65.62.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
244.65.62.0
Broadcast address
244.65.63.255
First usable
244.65.62.1
Last usable
244.65.63.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F4413E00 · Integer 4097916416 to 4097916927
Reverse DNS zones
62.65.244.in-addr.arpa
63.65.244.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110100.01000001.00111110.00000000244.65.62.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network11110100.01000001.00111110.00000000244.65.62.0
Broadcast11110100.01000001.00111111.11111111244.65.63.255
Split into smaller subnets/31

244.65.62.0/23 makes 256 subnets of /31.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1244.65.62.0/31244.65.62.0 to 244.65.62.1—2
2244.65.62.2/31244.65.62.2 to 244.65.62.3—2
3244.65.62.4/31244.65.62.4 to 244.65.62.5—2
4244.65.62.6/31244.65.62.6 to 244.65.62.7—2
5244.65.62.8/31244.65.62.8 to 244.65.62.9—2
6244.65.62.10/31244.65.62.10 to 244.65.62.11—2
7244.65.62.12/31244.65.62.12 to 244.65.62.13—2
8244.65.62.14/31244.65.62.14 to 244.65.62.15—2
9244.65.62.16/31244.65.62.16 to 244.65.62.17—2
10244.65.62.18/31244.65.62.18 to 244.65.62.19—2
11244.65.62.20/31244.65.62.20 to 244.65.62.21—2
12244.65.62.22/31244.65.62.22 to 244.65.62.23—2
13244.65.62.24/31244.65.62.24 to 244.65.62.25—2
14244.65.62.26/31244.65.62.26 to 244.65.62.27—2
15244.65.62.28/31244.65.62.28 to 244.65.62.29—2
16244.65.62.30/31244.65.62.30 to 244.65.62.31—2
17244.65.62.32/31244.65.62.32 to 244.65.62.33—2
18244.65.62.34/31244.65.62.34 to 244.65.62.35—2
19244.65.62.36/31244.65.62.36 to 244.65.62.37—2
20244.65.62.38/31244.65.62.38 to 244.65.62.39—2
21244.65.62.40/31244.65.62.40 to 244.65.62.41—2
22244.65.62.42/31244.65.62.42 to 244.65.62.43—2
23244.65.62.44/31244.65.62.44 to 244.65.62.45—2
24244.65.62.46/31244.65.62.46 to 244.65.62.47—2
25244.65.62.48/31244.65.62.48 to 244.65.62.49—2
26244.65.62.50/31244.65.62.50 to 244.65.62.51—2
27244.65.62.52/31244.65.62.52 to 244.65.62.53—2
28244.65.62.54/31244.65.62.54 to 244.65.62.55—2
29244.65.62.56/31244.65.62.56 to 244.65.62.57—2
30244.65.62.58/31244.65.62.58 to 244.65.62.59—2
31244.65.62.60/31244.65.62.60 to 244.65.62.61—2
32244.65.62.62/31244.65.62.62 to 244.65.62.63—2
33244.65.62.64/31244.65.62.64 to 244.65.62.65—2
34244.65.62.66/31244.65.62.66 to 244.65.62.67—2
35244.65.62.68/31244.65.62.68 to 244.65.62.69—2
36244.65.62.70/31244.65.62.70 to 244.65.62.71—2
37244.65.62.72/31244.65.62.72 to 244.65.62.73—2
38244.65.62.74/31244.65.62.74 to 244.65.62.75—2
39244.65.62.76/31244.65.62.76 to 244.65.62.77—2
40244.65.62.78/31244.65.62.78 to 244.65.62.79—2
41244.65.62.80/31244.65.62.80 to 244.65.62.81—2
42244.65.62.82/31244.65.62.82 to 244.65.62.83—2
43244.65.62.84/31244.65.62.84 to 244.65.62.85—2
44244.65.62.86/31244.65.62.86 to 244.65.62.87—2
45244.65.62.88/31244.65.62.88 to 244.65.62.89—2
46244.65.62.90/31244.65.62.90 to 244.65.62.91—2
47244.65.62.92/31244.65.62.92 to 244.65.62.93—2
48244.65.62.94/31244.65.62.94 to 244.65.62.95—2
49244.65.62.96/31244.65.62.96 to 244.65.62.97—2
50244.65.62.98/31244.65.62.98 to 244.65.62.99—2
51244.65.62.100/31244.65.62.100 to 244.65.62.101—2
52244.65.62.102/31244.65.62.102 to 244.65.62.103—2
53244.65.62.104/31244.65.62.104 to 244.65.62.105—2
54244.65.62.106/31244.65.62.106 to 244.65.62.107—2
55244.65.62.108/31244.65.62.108 to 244.65.62.109—2
56244.65.62.110/31244.65.62.110 to 244.65.62.111—2
57244.65.62.112/31244.65.62.112 to 244.65.62.113—2
58244.65.62.114/31244.65.62.114 to 244.65.62.115—2
59244.65.62.116/31244.65.62.116 to 244.65.62.117—2
60244.65.62.118/31244.65.62.118 to 244.65.62.119—2
61244.65.62.120/31244.65.62.120 to 244.65.62.121—2
62244.65.62.122/31244.65.62.122 to 244.65.62.123—2
63244.65.62.124/31244.65.62.124 to 244.65.62.125—2
64244.65.62.126/31244.65.62.126 to 244.65.62.127—2
65244.65.62.128/31244.65.62.128 to 244.65.62.129—2
66244.65.62.130/31244.65.62.130 to 244.65.62.131—2
67244.65.62.132/31244.65.62.132 to 244.65.62.133—2
68244.65.62.134/31244.65.62.134 to 244.65.62.135—2
69244.65.62.136/31244.65.62.136 to 244.65.62.137—2
70244.65.62.138/31244.65.62.138 to 244.65.62.139—2
71244.65.62.140/31244.65.62.140 to 244.65.62.141—2
72244.65.62.142/31244.65.62.142 to 244.65.62.143—2
73244.65.62.144/31244.65.62.144 to 244.65.62.145—2
74244.65.62.146/31244.65.62.146 to 244.65.62.147—2
75244.65.62.148/31244.65.62.148 to 244.65.62.149—2
76244.65.62.150/31244.65.62.150 to 244.65.62.151—2
77244.65.62.152/31244.65.62.152 to 244.65.62.153—2
78244.65.62.154/31244.65.62.154 to 244.65.62.155—2
79244.65.62.156/31244.65.62.156 to 244.65.62.157—2
80244.65.62.158/31244.65.62.158 to 244.65.62.159—2
81244.65.62.160/31244.65.62.160 to 244.65.62.161—2
82244.65.62.162/31244.65.62.162 to 244.65.62.163—2
83244.65.62.164/31244.65.62.164 to 244.65.62.165—2
84244.65.62.166/31244.65.62.166 to 244.65.62.167—2
85244.65.62.168/31244.65.62.168 to 244.65.62.169—2
86244.65.62.170/31244.65.62.170 to 244.65.62.171—2
87244.65.62.172/31244.65.62.172 to 244.65.62.173—2
88244.65.62.174/31244.65.62.174 to 244.65.62.175—2
89244.65.62.176/31244.65.62.176 to 244.65.62.177—2
90244.65.62.178/31244.65.62.178 to 244.65.62.179—2
91244.65.62.180/31244.65.62.180 to 244.65.62.181—2
92244.65.62.182/31244.65.62.182 to 244.65.62.183—2
93244.65.62.184/31244.65.62.184 to 244.65.62.185—2
94244.65.62.186/31244.65.62.186 to 244.65.62.187—2
95244.65.62.188/31244.65.62.188 to 244.65.62.189—2
96244.65.62.190/31244.65.62.190 to 244.65.62.191—2
97244.65.62.192/31244.65.62.192 to 244.65.62.193—2
98244.65.62.194/31244.65.62.194 to 244.65.62.195—2
99244.65.62.196/31244.65.62.196 to 244.65.62.197—2
100244.65.62.198/31244.65.62.198 to 244.65.62.199—2
101244.65.62.200/31244.65.62.200 to 244.65.62.201—2
102244.65.62.202/31244.65.62.202 to 244.65.62.203—2
103244.65.62.204/31244.65.62.204 to 244.65.62.205—2
104244.65.62.206/31244.65.62.206 to 244.65.62.207—2
105244.65.62.208/31244.65.62.208 to 244.65.62.209—2
106244.65.62.210/31244.65.62.210 to 244.65.62.211—2
107244.65.62.212/31244.65.62.212 to 244.65.62.213—2
108244.65.62.214/31244.65.62.214 to 244.65.62.215—2
109244.65.62.216/31244.65.62.216 to 244.65.62.217—2
110244.65.62.218/31244.65.62.218 to 244.65.62.219—2
111244.65.62.220/31244.65.62.220 to 244.65.62.221—2
112244.65.62.222/31244.65.62.222 to 244.65.62.223—2
113244.65.62.224/31244.65.62.224 to 244.65.62.225—2
114244.65.62.226/31244.65.62.226 to 244.65.62.227—2
115244.65.62.228/31244.65.62.228 to 244.65.62.229—2
116244.65.62.230/31244.65.62.230 to 244.65.62.231—2
117244.65.62.232/31244.65.62.232 to 244.65.62.233—2
118244.65.62.234/31244.65.62.234 to 244.65.62.235—2
119244.65.62.236/31244.65.62.236 to 244.65.62.237—2
120244.65.62.238/31244.65.62.238 to 244.65.62.239—2
121244.65.62.240/31244.65.62.240 to 244.65.62.241—2
122244.65.62.242/31244.65.62.242 to 244.65.62.243—2
123244.65.62.244/31244.65.62.244 to 244.65.62.245—2
124244.65.62.246/31244.65.62.246 to 244.65.62.247—2
125244.65.62.248/31244.65.62.248 to 244.65.62.249—2
126244.65.62.250/31244.65.62.250 to 244.65.62.251—2
127244.65.62.252/31244.65.62.252 to 244.65.62.253—2
128244.65.62.254/31244.65.62.254 to 244.65.62.255—2
129244.65.63.0/31244.65.63.0 to 244.65.63.1—2
130244.65.63.2/31244.65.63.2 to 244.65.63.3—2
131244.65.63.4/31244.65.63.4 to 244.65.63.5—2
132244.65.63.6/31244.65.63.6 to 244.65.63.7—2
133244.65.63.8/31244.65.63.8 to 244.65.63.9—2
134244.65.63.10/31244.65.63.10 to 244.65.63.11—2
135244.65.63.12/31244.65.63.12 to 244.65.63.13—2
136244.65.63.14/31244.65.63.14 to 244.65.63.15—2
137244.65.63.16/31244.65.63.16 to 244.65.63.17—2
138244.65.63.18/31244.65.63.18 to 244.65.63.19—2
139244.65.63.20/31244.65.63.20 to 244.65.63.21—2
140244.65.63.22/31244.65.63.22 to 244.65.63.23—2
141244.65.63.24/31244.65.63.24 to 244.65.63.25—2
142244.65.63.26/31244.65.63.26 to 244.65.63.27—2
143244.65.63.28/31244.65.63.28 to 244.65.63.29—2
144244.65.63.30/31244.65.63.30 to 244.65.63.31—2
145244.65.63.32/31244.65.63.32 to 244.65.63.33—2
146244.65.63.34/31244.65.63.34 to 244.65.63.35—2
147244.65.63.36/31244.65.63.36 to 244.65.63.37—2
148244.65.63.38/31244.65.63.38 to 244.65.63.39—2
149244.65.63.40/31244.65.63.40 to 244.65.63.41—2
150244.65.63.42/31244.65.63.42 to 244.65.63.43—2
151244.65.63.44/31244.65.63.44 to 244.65.63.45—2
152244.65.63.46/31244.65.63.46 to 244.65.63.47—2
153244.65.63.48/31244.65.63.48 to 244.65.63.49—2
154244.65.63.50/31244.65.63.50 to 244.65.63.51—2
155244.65.63.52/31244.65.63.52 to 244.65.63.53—2
156244.65.63.54/31244.65.63.54 to 244.65.63.55—2
157244.65.63.56/31244.65.63.56 to 244.65.63.57—2
158244.65.63.58/31244.65.63.58 to 244.65.63.59—2
159244.65.63.60/31244.65.63.60 to 244.65.63.61—2
160244.65.63.62/31244.65.63.62 to 244.65.63.63—2
161244.65.63.64/31244.65.63.64 to 244.65.63.65—2
162244.65.63.66/31244.65.63.66 to 244.65.63.67—2
163244.65.63.68/31244.65.63.68 to 244.65.63.69—2
164244.65.63.70/31244.65.63.70 to 244.65.63.71—2
165244.65.63.72/31244.65.63.72 to 244.65.63.73—2
166244.65.63.74/31244.65.63.74 to 244.65.63.75—2
167244.65.63.76/31244.65.63.76 to 244.65.63.77—2
168244.65.63.78/31244.65.63.78 to 244.65.63.79—2
169244.65.63.80/31244.65.63.80 to 244.65.63.81—2
170244.65.63.82/31244.65.63.82 to 244.65.63.83—2
171244.65.63.84/31244.65.63.84 to 244.65.63.85—2
172244.65.63.86/31244.65.63.86 to 244.65.63.87—2
173244.65.63.88/31244.65.63.88 to 244.65.63.89—2
174244.65.63.90/31244.65.63.90 to 244.65.63.91—2
175244.65.63.92/31244.65.63.92 to 244.65.63.93—2
176244.65.63.94/31244.65.63.94 to 244.65.63.95—2
177244.65.63.96/31244.65.63.96 to 244.65.63.97—2
178244.65.63.98/31244.65.63.98 to 244.65.63.99—2
179244.65.63.100/31244.65.63.100 to 244.65.63.101—2
180244.65.63.102/31244.65.63.102 to 244.65.63.103—2
181244.65.63.104/31244.65.63.104 to 244.65.63.105—2
182244.65.63.106/31244.65.63.106 to 244.65.63.107—2
183244.65.63.108/31244.65.63.108 to 244.65.63.109—2
184244.65.63.110/31244.65.63.110 to 244.65.63.111—2
185244.65.63.112/31244.65.63.112 to 244.65.63.113—2
186244.65.63.114/31244.65.63.114 to 244.65.63.115—2
187244.65.63.116/31244.65.63.116 to 244.65.63.117—2
188244.65.63.118/31244.65.63.118 to 244.65.63.119—2
189244.65.63.120/31244.65.63.120 to 244.65.63.121—2
190244.65.63.122/31244.65.63.122 to 244.65.63.123—2
191244.65.63.124/31244.65.63.124 to 244.65.63.125—2
192244.65.63.126/31244.65.63.126 to 244.65.63.127—2
193244.65.63.128/31244.65.63.128 to 244.65.63.129—2
194244.65.63.130/31244.65.63.130 to 244.65.63.131—2
195244.65.63.132/31244.65.63.132 to 244.65.63.133—2
196244.65.63.134/31244.65.63.134 to 244.65.63.135—2
197244.65.63.136/31244.65.63.136 to 244.65.63.137—2
198244.65.63.138/31244.65.63.138 to 244.65.63.139—2
199244.65.63.140/31244.65.63.140 to 244.65.63.141—2
200244.65.63.142/31244.65.63.142 to 244.65.63.143—2
201244.65.63.144/31244.65.63.144 to 244.65.63.145—2
202244.65.63.146/31244.65.63.146 to 244.65.63.147—2
203244.65.63.148/31244.65.63.148 to 244.65.63.149—2
204244.65.63.150/31244.65.63.150 to 244.65.63.151—2
205244.65.63.152/31244.65.63.152 to 244.65.63.153—2
206244.65.63.154/31244.65.63.154 to 244.65.63.155—2
207244.65.63.156/31244.65.63.156 to 244.65.63.157—2
208244.65.63.158/31244.65.63.158 to 244.65.63.159—2
209244.65.63.160/31244.65.63.160 to 244.65.63.161—2
210244.65.63.162/31244.65.63.162 to 244.65.63.163—2
211244.65.63.164/31244.65.63.164 to 244.65.63.165—2
212244.65.63.166/31244.65.63.166 to 244.65.63.167—2
213244.65.63.168/31244.65.63.168 to 244.65.63.169—2
214244.65.63.170/31244.65.63.170 to 244.65.63.171—2
215244.65.63.172/31244.65.63.172 to 244.65.63.173—2
216244.65.63.174/31244.65.63.174 to 244.65.63.175—2
217244.65.63.176/31244.65.63.176 to 244.65.63.177—2
218244.65.63.178/31244.65.63.178 to 244.65.63.179—2
219244.65.63.180/31244.65.63.180 to 244.65.63.181—2
220244.65.63.182/31244.65.63.182 to 244.65.63.183—2
221244.65.63.184/31244.65.63.184 to 244.65.63.185—2
222244.65.63.186/31244.65.63.186 to 244.65.63.187—2
223244.65.63.188/31244.65.63.188 to 244.65.63.189—2
224244.65.63.190/31244.65.63.190 to 244.65.63.191—2
225244.65.63.192/31244.65.63.192 to 244.65.63.193—2
226244.65.63.194/31244.65.63.194 to 244.65.63.195—2
227244.65.63.196/31244.65.63.196 to 244.65.63.197—2
228244.65.63.198/31244.65.63.198 to 244.65.63.199—2
229244.65.63.200/31244.65.63.200 to 244.65.63.201—2
230244.65.63.202/31244.65.63.202 to 244.65.63.203—2
231244.65.63.204/31244.65.63.204 to 244.65.63.205—2
232244.65.63.206/31244.65.63.206 to 244.65.63.207—2
233244.65.63.208/31244.65.63.208 to 244.65.63.209—2
234244.65.63.210/31244.65.63.210 to 244.65.63.211—2
235244.65.63.212/31244.65.63.212 to 244.65.63.213—2
236244.65.63.214/31244.65.63.214 to 244.65.63.215—2
237244.65.63.216/31244.65.63.216 to 244.65.63.217—2
238244.65.63.218/31244.65.63.218 to 244.65.63.219—2
239244.65.63.220/31244.65.63.220 to 244.65.63.221—2
240244.65.63.222/31244.65.63.222 to 244.65.63.223—2
241244.65.63.224/31244.65.63.224 to 244.65.63.225—2
242244.65.63.226/31244.65.63.226 to 244.65.63.227—2
243244.65.63.228/31244.65.63.228 to 244.65.63.229—2
244244.65.63.230/31244.65.63.230 to 244.65.63.231—2
245244.65.63.232/31244.65.63.232 to 244.65.63.233—2
246244.65.63.234/31244.65.63.234 to 244.65.63.235—2
247244.65.63.236/31244.65.63.236 to 244.65.63.237—2
248244.65.63.238/31244.65.63.238 to 244.65.63.239—2
249244.65.63.240/31244.65.63.240 to 244.65.63.241—2
250244.65.63.242/31244.65.63.242 to 244.65.63.243—2
251244.65.63.244/31244.65.63.244 to 244.65.63.245—2
252244.65.63.246/31244.65.63.246 to 244.65.63.247—2
253244.65.63.248/31244.65.63.248 to 244.65.63.249—2
254244.65.63.250/31244.65.63.250 to 244.65.63.251—2
255244.65.63.252/31244.65.63.252 to 244.65.63.253—2
256244.65.63.254/31244.65.63.254 to 244.65.63.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses